package com.cmeeting.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cmeeting.ad.entity.SysUserSync;
import com.cmeeting.mapper.secondary.SysUserSysMapper;
import com.cmeeting.service.SysUserSyncService;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.ArrayList;
import java.util.List;

@Service
@Slf4j
public class SysUserSyncServiceImpl extends ServiceImpl<SysUserSysMapper, SysUserSync>  implements SysUserSyncService {

    @Value(value = "${permission.tenantId}")
    private String perTenantId;

    @Override
    public String getDeptPathByUserId(String userId) {
        SysUserSync sysUserSync = baseMapper.selectOne(new LambdaQueryWrapper<SysUserSync>().eq(SysUserSync::getTenantId, perTenantId).eq(SysUserSync::getUserId, userId));
        String deptId = sysUserSync.getDeptId();
        String deptPath = getDeptPath("/" + deptId, deptId);
        return deptPath;
    }

    /**
     * 向上获取某个部门的路径
     * @param deptId
     */
    private String getDeptPath(String deptPath,String deptId) {
        String parentDeptId = baseMapper.getParentDeptId(deptId,perTenantId);
        if(StringUtils.isEmpty(parentDeptId)) return deptPath;

        return "/" + parentDeptId + deptPath;
    }
}
